#
# spec file for package gnome-python-desktop
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_applet 0
%define build_brasero 0
%define build_bugbuddy 0
%define build_evince 0
%define build_evolution 0
%define build_mediaprofiles 0
%define build_metacity 0

Name:           gnome-python-desktop
Version:        2.32.0
Release:        1.1
Url:            http://www.realistanew.com/projects/gnome-python-desktop
Summary:        Python bindings for GNOME
License:        LGPL-2.1+
Group:          System/GUI/GNOME
Source:         %{name}-%{version}.tar.bz2
Source1:        README.openSUSE
%if %{build_bugbuddy}
BuildRequires:  bug-buddy
%endif
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  update-desktop-files
%if %{build_evince}
BuildRequires:  pkgconfig(evince-document-2.32)
%endif
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gnome-desktop-2.0)
BuildRequires:  pkgconfig(gnome-keyring-1)
%if %{build_mediaprofiles}
BuildRequires:  pkgconfig(gnome-media-profiles)
%endif
BuildRequires:  pkgconfig(gnome-python-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
%if %{build_brasero}
BuildRequires:  pkgconfig(libbrasero-burn)
BuildRequires:  pkgconfig(libbrasero-media)
%endif
%if %{build_evolution}
BuildRequires:  pkgconfig(libebook-1.2)
BuildRequires:  pkgconfig(libecal-1.2)
%endif
BuildRequires:  pkgconfig(libgnome-2.0)
BuildRequires:  pkgconfig(libgnomeprint-2.2)
BuildRequires:  pkgconfig(libgnomeprintui-2.2)
BuildRequires:  pkgconfig(libgnomeui-2.0)
BuildRequires:  pkgconfig(libgtop-2.0)
%if %{build_metacity}
BuildRequires:  pkgconfig(libmetacity-private)
%endif
%if %{build_applet}
BuildRequires:  pkgconfig(libpanelapplet-2.0)
%endif
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pycairo)
BuildRequires:  pkgconfig(pygobject-2.0)
BuildRequires:  pkgconfig(pygtk-2.0)
BuildRequires:  pkgconfig(totem-plparser)
# Explicitly require all subpackages, so packages depending on
# gnome-python-desktop get all modules.
%if %{build_brasero}
Requires:       python-brasero
%else
Obsoletes:      python-brasero <= %{version}
%endif
%if %{build_bugbuddy}
Requires:       python-bugbuddy
%else
Obsoletes:      python-bugbuddy <= %{version}
%endif
%if %{build_evince}
Requires:       python-evince
%else
Obsoletes:      python-evince <= %{version}
%endif
%if %{build_evolution}
Requires:       python-evolution
%else
Obsoletes:      python-evolution <= %{version}
%endif
%if %{build_applet}
Requires:       python-gnomeapplet
%else
Obsoletes:      python-gnomeapplet <= %{version}
%endif
Requires:       python-gnomedesktop
Requires:       python-gnomekeyring
Requires:       python-gnomeprint
Requires:       python-gtop
%if %{build_mediaprofiles}
Requires:       python-mediaprofiles
%else
Obsoletes:      python-mediaprofiles <= %{version}
%endif
%if %{build_metacity}
Requires:       python-metacity
%else
Obsoletes:      python-metacity <= %{version}
%endif
Requires:       python-rsvg
Requires:       python-totem
Requires:       python-wnck
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides additional python bindings for GNOME libraries.

%if %{build_brasero}
%package -n python-brasero
Summary:        Python bindings for Brasero
Group:          Development/Libraries/Python
Requires:       python-gtk
%py_requires

%description -n python-brasero
This package contains Python bindings for Brasero.
%endif

%if %{build_bugbuddy}
%package -n python-bugbuddy
Summary:        Python bindings for Bug-Buddy
Group:          Development/Libraries/Python
Recommends:     bug-buddy
%py_requires

%description -n python-bugbuddy
This package contains Python bindings for Bug-Buddy.
%endif

%if %{build_evince}
%package -n python-evince
Summary:        Python bindings for Evince
Group:          Development/Libraries/Python
Requires:       python-gtk
%py_requires

%description -n python-evince
This package contains Python bindings for Evince.
%endif

%if %{build_evolution}
%package -n python-evolution
Summary:        Python bindings for Evolution
Group:          Development/Libraries/Python
Requires:       python-bonobo
Requires:       python-gobject2
Provides:       evolution-python = 0.4
Obsoletes:      evolution-python < 0.4
%py_requires

%description -n python-evolution
This package contains Python bindings for Evolution.
%endif

%if %{build_applet}
%package -n python-gnomeapplet
Summary:        Python bindings for the GNOME Panel Applet Library
Group:          Development/Libraries/Python
Requires:       python-bonobo
Requires:       python-gtk
%py_requires

%description -n python-gnomeapplet
This package contains Python bindings for the GNOME Panel Applet Library.
%endif

%package -n python-gnomedesktop
Summary:        Python bindings for libgnome-desktop
Group:          Development/Libraries/Python
Requires:       python-gnomevfs
Requires:       python-gtk
%py_requires

%description -n python-gnomedesktop
This package contains Python bindings for libgnome-desktop.

%package -n python-gnomekeyring
Summary:        Python bindings for GNOME Keyring
Group:          Development/Libraries/Python
%py_requires

%description -n python-gnomekeyring
This package contains Python bindings for GNOME Keyring.

%package -n python-gnomeprint
Summary:        Python bindings for libgnomeprint
Group:          Development/Libraries/Python
Requires:       python-gnomecanvas
Requires:       python-gtk
%py_requires

%description -n python-gnomeprint
This package contains Python bindings for libgnomeprint.

%package -n python-gtop
Summary:        Python bindings for libgtop
Group:          Development/Libraries/Python
%py_requires

%description -n python-gtop
This package contains Python bindings for libgtop.

%if %{build_mediaprofiles}
%package -n python-mediaprofiles
Summary:        Python bindings for media profiles
Group:          Development/Libraries/Python
Requires:       python-gconf
Requires:       python-gtk
%py_requires

%description -n python-mediaprofiles
This package contains Python bindings for media profiles.
%endif

%if %{build_metacity}
%package -n python-metacity
Summary:        Python bindings for Metacity
Group:          Development/Libraries/Python
Requires:       python-gtk
%py_requires

%description -n python-metacity
This package contains Python bindings for Metacity.
%endif

%package -n python-rsvg
Summary:        Python bindings for librsvg
Group:          Development/Libraries/Python
Requires:       python-gobject2
%py_requires

%description -n python-rsvg
This package contains Python bindings for librsvg.

%package -n python-totem
Summary:        Python bindings for Totem
Group:          Development/Libraries/Python
Requires:       python-gnomevfs
Requires:       python-gobject2
%py_requires

%description -n python-totem
This package contains Python bindings for Totem.

%package -n python-wnck
Summary:        Python bindings for libwnck
Group:          Development/Libraries/Python
Requires:       python-gtk
%py_requires

%description -n python-wnck
This package contains Python bindings for libwnck.

%package devel
Summary:        Python bindings for GNOME
Group:          Development/Libraries/Python
# This will bring in all subpackages
Requires:       %{name} = %{version}
Provides:       %{name}-doc = %{version}
Obsoletes:      %{name}-doc < %{version}

%description devel
This package provides additional python bindings for GNOME libraries.

%prep
%setup -q
cp -a %{S:1} .

%build
%configure \
    --disable-static \
%if %{build_metacity}
    --enable-metacity \
%endif
%if ! %{build_bugbuddy}
    --disable-bugbuddy \
%endif
%if ! %{build_evolution}
    --disable-evolution \
    --disable-evolution_ecal \
%endif
    %{nil}
make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
# Remove examples for bindings we don't ship
rm -r examples/{gtksourceview,nautilusburn}
%if !%{build_applet}
rm -r examples/applet/
%endif
%if !%{build_brasero}
rm -r examples/braseroburn/
rm -r examples/braseromedia/
%endif
%if !%{build_mediaprofiles}
rm -r examples/mediaprofiles/
%endif
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README.openSUSE
# Please list modules explicitly, do not use wildcards!
# Note: we don't want the gtksourceview 1.x bindings. We've migrated to
# gtksourceview 2.
#%{py_sitedir}/gtk-2.0/gtksourceview.so

%if %{build_brasero}
%files -n python-brasero
%defattr (-, root, root)
%doc COPYING
%{py_sitedir}/gtk-2.0/braseroburn.so
%{py_sitedir}/gtk-2.0/braseromedia.so
%endif

%if %{build_bugbuddy}
%files -n python-bugbuddy
%defattr (-, root, root)
%doc COPYING
%{py_sitedir}/gtk-2.0/bugbuddy.py*
%endif

%if %{build_evince}
%files -n python-evince
%defattr (-, root, root)
%doc COPYING
%{py_sitedir}/gtk-2.0/evince.so
%endif

%if %{build_evolution}
%files -n python-evolution
%defattr (-, root, root)
%doc COPYING
%dir %{py_sitedir}/gtk-2.0/evolution
%{py_sitedir}/gtk-2.0/evolution/__init__.py*
%{py_sitedir}/gtk-2.0/evolution/ebook.so
%{py_sitedir}/gtk-2.0/evolution/ecal.so
%endif

%if %{build_applet}
%files -n python-gnomeapplet
%defattr (-, root, root)
%doc COPYING
%dir %{py_sitedir}/gtk-2.0/gnome
%{py_sitedir}/gtk-2.0/gnome/applet.py*
%{py_sitedir}/gtk-2.0/gnomeapplet.so
%endif

%files -n python-gnomedesktop
%defattr (-, root, root)
%doc COPYING
%dir %{py_sitedir}/gtk-2.0/gnomedesktop
%{py_sitedir}/gtk-2.0/gnomedesktop/__init__.py*
%{py_sitedir}/gtk-2.0/gnomedesktop/_gnomedesktop.so

%files -n python-gnomekeyring
%defattr (-, root, root)
%doc COPYING
%{py_sitedir}/gtk-2.0/gnomekeyring.so

%files -n python-gnomeprint
%defattr (-, root, root)
%doc COPYING
%dir %{py_sitedir}/gtk-2.0/gnomeprint
%{py_sitedir}/gtk-2.0/gnomeprint/__init__.py*
%{py_sitedir}/gtk-2.0/gnomeprint/_print.so
%{py_sitedir}/gtk-2.0/gnomeprint/ui.so

%files -n python-gtop
%defattr (-, root, root)
%doc COPYING
%{py_sitedir}/gtk-2.0/gtop.so

%if %{build_mediaprofiles}
%files -n python-mediaprofiles
%defattr (-, root, root)
%doc COPYING
%{py_sitedir}/gtk-2.0/mediaprofiles.so
%endif

%if %{build_metacity}
%files -n python-metacity
%defattr (-, root, root)
%doc COPYING
%{py_sitedir}/gtk-2.0/metacity.so
%endif

%files -n python-rsvg
%defattr (-, root, root)
%doc COPYING
%{py_sitedir}/gtk-2.0/rsvg.so

%files -n python-totem
%defattr (-, root, root)
%doc COPYING
%dir %{py_sitedir}/gtk-2.0/totem
%{py_sitedir}/gtk-2.0/totem/__init__.py*
%{py_sitedir}/gtk-2.0/totem/plparser.so

%files -n python-wnck
%defattr (-, root, root)
%doc COPYING
%{py_sitedir}/gtk-2.0/wnck.so

%files devel
%defattr (-, root, root)
%doc examples/
%{_datadir}/gtk-doc/html/pygnomeprint/
%{_datadir}/gtk-doc/html/pygnomeprintui/
%{_libdir}/pkgconfig/gnome-python-desktop-2.0.pc
# we explicitly list the directories here to be sure we don't include something
# that should live in the main package
%dir %{_datadir}/pygtk
%dir %{_datadir}/pygtk/2.0
%{_datadir}/pygtk/2.0/defs/

%changelog
* Mon Sep 17 2012 vuntz@opensuse.org
- Disable building python-bugbuddy as we don't ship it anymore,
  with a %%define in the same way we disable other bindings. If not
  building python-bugbuddy:
  + Use python-bugbuddy Obsoletes in main subpackage, for smooth
    upgrades.
  + Pass --disable-bugbuddy to configure.
* Fri Aug 24 2012 dimstar@opensuse.org
- Disable building of the evo plugins: they are currently not
  compatible with w-d-s 3.5.x.
* Thu Feb 23 2012 vuntz@opensuse.org
- Stop building python-metacity:
  + The bindings are not compatible with current metacity.
  + Add build_metacity macro to change this behavior, set to 0.
  + Do not use pkgconfig(libmetacity-private) BuildRequires if we
    don't build python-metacity.
  + Add Obsoletes for python-metacity to main subpackage, instead
    of a Requires, for smooth upgrades.
  + Only pass --enable-metacity to configure if we build
    python-metacity.
- Stop passing --libexecdir=%%{_libexecdir}/%%{name} to configure: we
  never use libexecdir.
- Remove applet, brasero, mediaprofiles code examples if we don't
  build those bindings.
* Thu Apr 14 2011 dimstar@opensuse.org
- Add Obsoletes for the disabled modules (brasero, media-profiles,
  evince and applets) to ease upgrade processes.
* Thu Apr  7 2011 fcrozat@novell.com
- Disable modules not available for gnome3 (brasero,
  media-profiles, applets, evince). We use macros to make it easy
  to re-eanble them, should we wish to do so later on.
* Fri Jan  7 2011 vuntz@opensuse.org
- Split all python modules in subpackages, so we can have more
  fine-grained dependencies:
  + Create python-brasero, python-bugbuddy, python-evince,
    python-evolution, python-gnomeapplet, python-gnomedesktop,
    python-gnomekeyring, python-gnomeprint, python-gtop,
    python-mediaprofiles, python-metacity, python-rsvg,
    python-totem, python-wnck.
  + Ship a README.openSUSE file explaining the setup of the
    package.
- Package code examples in the devel subpackage.
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Update evince bindings to 2.32 API (bgo#626283)
- Re-enable the build of evince bindings: uncomment
  pkgconfig(evince-document-2.30) BuildRequires and update it to
  evince-document-2.32.
* Tue Sep  7 2010 vuntz@opensuse.org
- Change old-style BuildRequires to pkgconfig() style
  BuildRequires:
  + old-style: brasero-devel, evince-devel,
    evolution-data-server-devel, gnome-desktop-devel,
    gnome-media-devel, gnome-panel-devel, gtk2-devel,
    libgnomeprintui-devel, libgtop-devel, librsvg-devel,
    libwnck-devel, metacity-devel, python-gnome-devel,
    python-gtk-devel, totem-pl-parser-devel
  + new-style: evince-document-2.30, gconf-2.0, gdk-pixbuf-2.0,
    gnome-desktop-2.0, gnome-keyring-1, gnome-media-profiles,
    gnome-python-2.0, gobject-2.0, libbrasero-burn,
    libbrasero-media, libebook-1.2, libecal-1.2, libgnome-2.0,
    libgnomeprint-2.2, libgnomeprintui-2.2, libgnomeui-2.0,
    libgtop-2.0, libmetacity-private, libpanelapplet-2.0,
    librsvg-2.0, libwnck-1.0, pango, pycairo, pygobject-2.0,
    pygtk-2.0, totem-plparser.
- This will make it easier to switch to GNOME 3 libraries.
* Sun Aug  8 2010 vuntz@opensuse.org
- Add a devel subpackage, and merge doc subpackage there.
* Mon Jul 19 2010 dimstar@opensuse.org
- Disable evince bindings for now since they don't build with
  latest evince (see bgo#626283).
* Thu Jul  8 2010 dimstar@opensuse.org
- Update to version 2.31.1:
  + evince/evince.defs: Update evince bindings to latest api
  + wscript: Use the 3rd party waf tool 'cflags'
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Fix configure check for evince.
  + Fix configure check for bug-buddy.
- Drop gnome-python-desktop-fix-bugbuddy.patch,
  gnome-python-desktop-fix-evince.patch: fixed upstream.
* Tue Mar 30 2010 vuntz@opensuse.org
- Add gnome-python-desktop-fix-bugbuddy.patch to fix detection of
  bug-buddy in configure.
- Add gnome-python-desktop-fix-evince.patch to fix detection of
  evince in configure.
* Thu Mar 11 2010 dimstar@opensuse.org
- Update to version 2.29.92:
  + bgo#608331: totem-pl-parser doesn't build with latest
    totem-pl-parser
- Drop gnome-python-desktop-fix-totem-build.patch.
* Thu Jan 28 2010 vuntz@opensuse.org
- Add gnome-python-desktop-fix-totem-build.patch to fix build of
  totem-pl-parser bindings with latest totem-pl-parser.
* Wed Jan  6 2010 vuntz@opensuse.org
- Update to version 2.29.1:
  + Fix crash in gnomekeyringk.item_get_attributes_sync
    (bgo#598835)
  + Fix build with latest brasero (bgo#603231)
  + Fix build with latest evince (bgo#603659, bgo#604751)
  + Make braseromedia work (bgo#595342)
  + Fix wnck bindings to not bind enums as flags
  + Fix wnck example to not do suboptimal loop (bgo#600952)
  + Build fix.
- Drop gnome-python-desktop-brasero-api.patch: fixed upstream.
- Drop gnome-python-desktop-evince-api.patch: fixed upstream.
- Remove autoreconf call.
- Pass --disable-static to configure.
- Remove all .la files.
* Mon Dec 14 2009 aj@suse.de
- Fix build with libtool version conflict: pass -i to autoreconf.
* Sat Dec  5 2009 vuntz@opensuse.org
- Add gnome-python-desktop-brasero-api.patch to fix build with
  latest brasero.
* Wed Dec  2 2009 vuntz@opensuse.org
- Add gnome-python-desktop-evince-api.patch to compile with latest
  evince.
- Fix self-obsoletion of evolution-python.
* Thu Sep 24 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + bgo#594334 - evince: wrap DocumentLinks bit
  + bgo#595380 - braseroburn examples not shipped in tarballs
  + bgo#595373 - The braseroburn module is missing important
    constants.
* Tue Sep  1 2009 dimstar@opensuse.org
- Update to version 2.27.3:
  + Extended brasero modules API.
  + Wrap gnome_keyring_find_items.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Add licensing information for the evince module.
  + Fix evince module compilation bug.
  + Add bindings for libbrasero-burn.
* Thu Jun  4 2009 lmedinas@gmail.com
- Remove nautilus-cd-burner-devel BuildRequires: these bindings are
  obsoleted by the brasero ones.
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.27.1:
  + New braseromedia module (bgo#569055).
- Add brasero-devel BuildRequires.
* Sun Apr 26 2009 vuntz@novell.com
- Remove unneeded BuildRequires: notification-daemon.
* Sat Mar 14 2009 mboman@suse.de
- Update to version 2.26.0:
  + evince
  * bgo#572575: evince.JobFind() crashes caller
  + evolution
  * Fix evolution modules installation issue
  * Make sure bonobo is imported before evolution.* modules are
    used (bgo#561354)
  * Add __version__ to evolution modules
  + gnomedesktop
  * Add missing caller-owns-return annotations (bgo#570540)
- Remove custom CFLAGS
* Mon Feb 16 2009 mboman@suse.de
- Update to version 2.25.91:
  + Call ev_shutdown() on a python atexit handler (bgo#570622)
- Remove glib2-devel, gnome-common, gtk-doc, python,
  python-devel, gtksourceview18-devel from BuildRequires
- Use CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
* Thu Feb  5 2009 vuntz@novell.com
- Really package evince-related files.
* Mon Feb  2 2009 mboman@suse.de
- Update to version 2.25.90:
  + New Evince bindings (bgo#568287)
  + Fix bgo#568284 (Error building wnck bindings)
  + Upgrade to WAF 1.5.3
  + gnomeapplet: bgo#569823 (get_popup_component does not return
    correct object)
* Sun Jan 25 2009 vuntz@novell.com
- Update to version 2.25.1:
  + gtop: missing include
  + evolution: bgo#561727: evolution still installed even if
    disabled
  + upgrade to newer WAF
* Mon Dec 29 2008 mboman@suse.de
- Update to version 2.24.1:
  + Cosmetic version bumb
* Wed Oct  1 2008 mboman@suse.de
- Update to version 2.24.0:
  + pygtk-codegen-2.0 -> pygobject-codegen-2.0
  + Convert TOTEM_TYPE_PL_PARSER_METADATA values to/from Python
* Wed Sep 17 2008 maw@suse.de
- Obsolete and provide evolution-python (bnc#418004).
* Thu Sep  4 2008 mboman@novell.com
- Update to version 2.23.1:
  + evolution
  * Wrap e_source_peek_uid() as ebook.get_uid() and ecalsource.get_uid()
    (bgo#519258)
  * Wrap a bunch of additional APIs
  + gnomekeyring
  * get_default_keyring_sync() always returning None (bgo#531254)
  + Ability to compile only selected modules (bgo#534307)
* Fri Jun 20 2008 maw@suse.de
- Update to version 2.23.0:
  + evolution:
    + Wrap e_source_peek_uid() as ebook.get_uid() and
    ecalsource.get_uid() (bgo#519258)
    + Wrap a bunch of additional APIs
  + gnomekeyring:
    + get_default_keyring_sync() always returning None (bgo#531254)
    + Ability to compile only selected modules (bgo#534307).
* Wed Apr  2 2008 maw@suse.de
- Update to version 2.22.0:
  + Cosmetic version bump.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.21.3:
  + Evo calendar bug fixes
  + Fix gnomekeyring.find_network_password_sync erroneously
    returning None (bgo#516788).
* Mon Feb 25 2008 maw@suse.de
- Depend on totem-pl-parser-devel to build.
* Fri Feb  1 2008 maw@suse.de
- Update to version 2.21.2:
  + Add WAB build support
  + Better wnck API coverate
  + New evolution libeook and libecal bindings
  + gnome keyring erro code gandling fixes
  + Wrap evo_cal_component_[gs]et_status (bgo#505305)
  + Avoid multiply defined symbols in evolution modules
    (bgo#506401)
  + Fix builds against newer versions of metacity (bgo#505307)
  + Ensure that the evolution modules get a __version__
    attribute.
* Fri Nov  2 2007 sbrabec@suse.cz
- Build feature complete with gtksourceview18 and bug-buddy.
* Tue Oct  2 2007 maw@suse.de
- Reinclude the metacity module (#237144).
* Wed Sep 19 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * stable version number
* Thu Aug  2 2007 maw@suse.de
- Update to version 2.19.2:
  + With recent versions of pygtk, add a __version__ attribute to
    modules
  + All some paramaters to be None
  + Keep current with metacity API changes
  + Wrap WnckSelector
  + Use python-config to get python includes
- Use %%fdupes.
* Fri Mar 30 2007 maw@suse.de
- Update to version 2.18.0
- Remove upstreamed totem-includes.patch
- b.g.o 416240 and 409252
- Updated metacity requirements.
* Tue Mar 27 2007 sbrabec@suse.cz
- Do not require gtk-doc in runtime.
- Spec file cleanup.
- Split doc subpackage.
* Mon Mar 12 2007 maw@suse.de
- build-require gtk-doc
- add patch totem-includes.patch to fix up -I arguments when
  building.
* Fri Mar  9 2007 maw@suse.de
- Update to version 2.17.3.
  * general
  - Fix bad .pc file (#394172 alike)
  * totem.plparser
  - Fix to update to new/old totem.plparser.write API change (Gustavo)
  * bugbuddy
  - New bug-buddy integration module (#346106, Fernando Herrara, Gustavo)
  * gtksourceview
  - Improve repr() of gtksourceview.SourceLanguage (#351567)
  - make get_mime_types() returns the proper list (#351367, Paolo Borelli)
  * gnomekeyring
  - Fix build with Sun Forte compiler (#368364, Damien Carbery)
  - implementation of gnomekeyring.find_items_sync (#386366, Lukás Lalinský)
  * general
  - Py_ssize_t fixes, for python 2.5 + 64 bits (#338492)
  * gnomekeyring
  - Wrap item_create and item_get_info (Gustavo)
  - Fix sync example, add async example (Gustavo)
  * metacity
  - Update defs to follow upstream metacity API changes (Marc-Andre Lureau)
  * wnck
  - Add a new example (Kyle Brooks, Gustavo)
  * mediaprofiles
  - Use the gnome-python defs dir for gconf.defs (Marco Pesenti Gritti)
  * general
  - make check fixes (Gustavo)
* Thu Jan 18 2007 jhargadon@suse.de
- removed useless *.la files. (#223698)
* Tue Nov  7 2006 jhargadon@suse.de
- added totem-devel, nautilus-cd-burner-devel, gnome-media-devel,
  metacity to the BuildRequires so that the following parts get
  built:
    totem.plparser
    nautilusburn
    mediaprofiles
    metacity
* Mon Nov  6 2006 jhargadon@suse.de
- changed prefix to /usr to resolve bug #217660
* Mon Oct 30 2006 jhargadon@suse.de
- changed python-gnome to python-gnome-devel in BuildRequires
* Tue Oct  3 2006 aj@suse.de
- Fix for lib64 systems.
- Use common macros.
* Mon Sep 11 2006 jhargadon@suse.de
- added missing directory ownership to the specfile
* Thu Sep  7 2006 rodrigo@suse.de
- Initial submission from GNOME 2.16
